GET
List unspents on a wallet
Path Params
-
coinstring requiredA cryptocurrency symbol or token ticker symbol -
walletIdstring required
Query Params
-
limitstring numberLimit the number of results. -
prevIdstringOnly return results created after this ID -
chainsarray of stringsFilter by chains. May be given mutiple times -
minConfirmsstring numberThe minimum number of confirmations for the unspents -
enforceMinConfirmsForChangebooleanWhether to enforce the minimum number of confirmations for change outputs -
minValuestringThe minimum value of unspents to return (in base units, e.g. satoshis) -
maxValuestringThe maximum value of unspents to return (in base units, e.g. satoshis) -
unspentIdsarray of stringsCanton: filter to specific IMS unspent contract ids (repeat param or comma-separated). Ignored for other chains that use this route. -
tokenstringCanton: filter UTXOs by token name (e.g. "canton:usd1"). Omit to return native coin UTXOs only (default, backwards compatible). Ignored for other chains that use this route.
Responses
200
OK
Response Body
object
-
unspentsarray of objects requiredunspents object
-
chainnumberThe chain of the UTXO -
indexnumberThe index of the UTXO -
redeemScriptstringThe redeem script of the UTXO -
witnessScriptstringThe witness script of the UTXO -
idstringThe ID of the UTXO -
addressstringThe address of the UTXO -
valuenumberThe value of the UTXO -
blockHeightnumberThe block this Unspent was created in -
coinbasebooleanTrue if this unspent came from the coinbase transaction
-
-
nextBatchPrevIdstringThe ID from where the results can continue -
coinstringA cryptocurrency symbol or token ticker symbol -
bumpFeestring numberfee bump
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id